Webhook

SPA: Creates a new Webhook resource.

Creates a new Webhook resource.

POST/api/spa/webhooks

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/json
required

The new Webhook resource

{
  "id": 12345,
  "identifier": "my-webhook",
  "email": false,
  "type": "sftp-document",
  "priority": 1,
  "data": {
    "host": "sftp.example.com",
    "user": "sftp-user",
    "password": "sftp-password",
    "directory": "sftp-directory/sub-directory",
    "port": 22
  },
  "configuration": [
    "string"
  ],
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "client": {},
  "subClient": {},
  "active": true,
  "activeFrom": "2024-01-01",
  "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
  "versionNumber": 1,
  "supersededAt": "2024-08-23T00:00:00+00:00",
  "changeSummaryDe": "string",
  "changeSummaryEn": "string",
  "summaryStatus": "pending",
  "groupIdentifier": "my_group",
  "groupCondition": "data['contract']['balance'] > 0",
  "subClientDefault": false,
  "subClientId": 3,
  "subClientDescription": "Branch Office A",
  "subClientColor": "#083E5D"
}

Response

201application/json

Webhook resource created

id
integer

Webhook ID generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Customer Identifier, used for webhook selection in rendering process

Example: "my-webhook"

email
boolean

Available options: truefalse

Example: false

type
enum<string>

Webhook type

Available options: chargecloud-documentcustom-oauth2-documentcustom-oauth2-emailprerender-api-documentprerender-api-emailprerender-custom-oauth2-documentprerender-custom-oauth2-emailprerender-custom-oauth2-requestprerender-powercloud-zugferd-mapping-documentprerender-kvasy-zugferd-mapping-documentbinect-documentbinect-emailepostbusiness-documentepostbusiness-emailsftp-documentsftp-emails3-archive-documents3-archive-email

Example: "sftp-document"

priority
integer

Webhook execution priority

Example: 1

data
object

Webhook configuration data.<br><b>IMPORTANT:</b> data structure depends on webhook type

Example: {"host":"sftp.example.com","user":"sftp-user","password":"sftp-password","directory":"sftp-directory/sub-directory","port":22}

configuration
string | null[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"